//
//  Block.h
//  ZeroSum
//
//  Created by Akshay Nathan on 7/29/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "cocos2d.h"
#import "Grid.h"

@interface Block : CCSprite {
    int value;
    bool falling;
    CGPoint velocity;
    CGPoint acceleration;
    BoardPos boardPosition;
}

@property (readwrite, nonatomic) bool falling;
@property (readwrite, nonatomic) CGPoint acceleration;
@property (readwrite, nonatomic) BoardPos boardPosition;

+(id) randomBlock;

+(id) blockWithValue: (int) value;

-(id) initBlockWithValue: (int) value;

@end
