//
//  BlockMaster.h
//  ZeroSum
//
//  Created by Akshay Nathan on 8/4/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"
#import "Block.h"

#define BLOCK_CACHE_SIZE 50

@interface BlockMaster : NSObject {
    Grid *g;
    CCArray* blocks;
    int numBlocks;
}

-(id)initWithGrid:(Grid *)g;

-(Block *)getBlock;

-(void)refreshBlockCache;

@end
