//
//  God.h
//  ZeroSum
//
//  Created by Akshay Nathan on 7/29/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Grid.h"
#import "cocos2d.h"
#import "GridBlock.h"
#import "Chain.h"
#import "BlockMaster.h"

@interface God : NSObject {
    int level;
    int score;
    Grid *g;
    Chain *c;
    BlockMaster *bm;
}

@property (readonly, nonatomic) int level;
@property (readonly, nonatomic) int score;
@property (readonly, nonatomic) Chain* c;

-(id) initWithGrid: (Grid*) grid;

+(id) godWithGrid: (Grid*) grid;

-(void) initializeGrid;

-(void) putBlockInPosition: (GridBlock*) bl;

@end
