//
//  Grid.h
//  ZeroSum
//
//  Created by Akshay Nathan on 7/29/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "cocos2d.h"

#define BOTTOM_PADDING 40
#define SIDE_PADDING 2

typedef struct {
    int x;
    int y;
} BoardPos;

@interface Grid : CCNode {
    CCSpriteBatchNode* gridBatch;
    CCSpriteBatchNode* connectorBatch;
    CCArray* gridArray;
}

@property (assign, readwrite, nonatomic) CCArray* gridArray;

+(CGPoint) getRealPosition: (BoardPos) position;

@end
