//
//  GridBlock.h
//  ZeroSum
//
//  Created by Akshay Nathan on 7/29/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "cocos2d.h"
#import "grid.h"
#import "block.h"

#define BLOCK_SIZE 78


@interface GridBlock : CCSprite {
    CCSprite *sideConnector;
    CCSprite *topConnector;
    bool filled;
    BoardPos boardPosition;
    Block *block;
}

@property (assign, readwrite, nonatomic) CCSprite *sideConnector;
@property (assign, readwrite, nonatomic) CCSprite *topConnector;
@property (readwrite, nonatomic) bool filled;
@property (readwrite, nonatomic) BoardPos boardPosition;
@property (assign, readwrite, nonatomic) Block* block;

+(id) gridblockWithPosition: (BoardPos) pos;

-(void) createConnectors: (CCSpriteBatchNode*) batch;

@end
